/////////////////////////////////////////////////////////////////
//  Title: Line Tracking Car 2 Sensors
//
//  Author: Abra-Electronics M.P Division
// 
//  Description: This code was written with the intent for 
//  creating a line tracking robot.
//
//  Commented out Middle Sensor and Changed the logic for two sensors. 
//  Date: 7/27/2016
// 
////////////////////////////////////////////////////////////////

//------------------------------------- Motor Config
int motor_left[] = {9,6};          // Pinout left motors (Front, Back)
int motor_right[] = {11,10};       // Pinout right motors (Front, Back)

//------------------------------------- Sensor Config
const int SensorLeft = 12;     
const int SensorRight = 8;  
//const int SensorMiddle = 13;   
int SL;    
int SR; 
//int SM;   

//------------------------------------- Setup Module
void setup()
{  
    Serial.begin(9600);

    for(int i=0; i<2; i++)
    {
       pinMode(motor_left[i],OUTPUT); // set pins as output left 
       pinMode(motor_right[i],OUTPUT); // set pins as ouput right
    } 
    
    pinMode(SensorLeft, INPUT); 
    pinMode(SensorRight, INPUT); 
    //pinMode(SensorMiddle, INPUT);
}
//---------------------------------------
void move_forward()
{
    analogWrite(motor_right[0],0);
    analogWrite(motor_right[1],80);
    
    analogWrite(motor_left[0],80);
    analogWrite(motor_left[1],0);
}

void veer_right()
{
    analogWrite(motor_right[0],0);
    analogWrite(motor_right[1],80);
    
    analogWrite(motor_left[0],0);
    analogWrite(motor_left[1],0);
}

void veer_left()
{
    analogWrite(motor_right[0],0);
    analogWrite(motor_right[1],0); 
    
    analogWrite(motor_left[0],80);
    analogWrite(motor_left[1],0);
}

void brake()
{
    analogWrite(motor_left[0],0);
    analogWrite(motor_left[1],0);
   
    analogWrite(motor_right[0],0);
    analogWrite(motor_right[1],0); 
      //delay(300); 
}
//------------------------------------ Loop Module
void loop() 
{
   SL = digitalRead(SensorLeft);
   SR = digitalRead(SensorRight);
   //SM = digitalRead(SensorMiddle);
   //Serial.println(SM);
   Serial.println(SR);
   Serial.println(SL);                
   if (SL == LOW && SR == LOW)
   { 
      move_forward();
      delay(20);
      brake();
      Serial.println("I'm Moving Forward");
   } 
   
   else if (SR == LOW && SL == HIGH)
   {
      veer_right();
      delay(20);
      brake();
      Serial.println("I'm Moving Right");
   }
   else if (SR == HIGH && SL == LOW)
   { 
      veer_left();
      delay(20);
      brake();
      Serial.println("I'm Moving Left");
   }      
   else 
   {  
      brake();
      Serial.println("I'm Stopping");
   }
}





